slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSJDGetFix

Returns the threshold for changing the target in the correction equation.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDGetFix(EPS eps,PetscReal *fix)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameter

| fix | - threshold for changing the target

### Note

The target in the correction equation is fixed at the first iterations. When the norm of the residual vector is lower than the fix value, the target is set to the corresponding eigenvalue.

### See Also

EPSJDSetFix()

### Level

advanced

### Location

src/eps/impls/davidson/jd/jd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages